%define upstream_name    Module-Info
%define upstream_version 0.35

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    Information about Perl modules 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/M/MB/MBARBON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Module::Build) >= 0.400.0
BuildArch:  noarch

%description
Module::Info gives you information about Perl modules without actually loading
the module.  It actually isn't specific to modules and should work on any perl
code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%{makeinstall_std}

%files 
%defattr(-,root,root,755)
%doc Changes META.json META.yml MYMETA.yml
%{_bindir}/*
%{_mandir}/man*/*
%{perl_vendorlib}/B
%{perl_vendorlib}/Module

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1:0.350.0-2.mga4
+ Revision: 534198
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 1:0.350.0-1.mga4
+ Revision: 476390
- update to 0.35

* Fri Jun 07 2013 jquelin <jquelin> 1:0.340.0-1.mga4
+ Revision: 439548
- update to 0.34

* Sun Jan 13 2013 umeabot <umeabot> 1:0.320.0-3.mga3
+ Revision: 369810
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 18 2011 jquelin <jquelin> 1:0.320.0-2.mga1
+ Revision: 53574
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 1:0.320.0-1.mga1
+ Revision: 30849
- mageia rebuild
- imported package perl-Module-Info

